package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 楼栋信息对象 szxc_ld_info
 *
 * @author hs
 * @date 2024-03-28
 */
public class SzxcLdInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属小区id */
    @Excel(name = "所属小区id")
    private Long xqId;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String xqName;

    /** 楼栋名称 */
    @Excel(name = "楼栋名称")
    private String ldName;

    /** 楼栋类型(0小区楼栋1独立房2其它) */
    @Excel(name = "楼栋类型(0小区楼栋1独立房2其它)")
    private String ldType;

    /** 楼栋类别字典 */
    @Excel(name = "楼栋类别字典")
    private String ldSort;

    /** 楼栋结构字典 */
    @Excel(name = "楼栋结构字典")
    private String ldjg;

    /** 取暖方式 */
    @Excel(name = "取暖方式")
    private String qnfs;

    /** 楼层数 */
    @Excel(name = "楼层数")
    private Long lcNum;

    /** 单元数 */
    @Excel(name = "单元数")
    private Long unitNum;

    /** 户数 */
    @Excel(name = "户数")
    private Long huNum;

    /** 楼栋描述 */
    @Excel(name = "楼栋描述")
    private String ldDescribe;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setXqId(Long xqId)
    {
        this.xqId = xqId;
    }

    public Long getXqId()
    {
        return xqId;
    }
    public void setXqName(String xqName)
    {
        this.xqName = xqName;
    }

    public String getXqName()
    {
        return xqName;
    }
    public void setLdName(String ldName)
    {
        this.ldName = ldName;
    }

    public String getLdName()
    {
        return ldName;
    }
    public void setLdType(String ldType)
    {
        this.ldType = ldType;
    }

    public String getLdType()
    {
        return ldType;
    }
    public void setLdSort(String ldSort)
    {
        this.ldSort = ldSort;
    }

    public String getLdSort()
    {
        return ldSort;
    }
    public void setLdjg(String ldjg)
    {
        this.ldjg = ldjg;
    }

    public String getLdjg()
    {
        return ldjg;
    }
    public void setQnfs(String qnfs)
    {
        this.qnfs = qnfs;
    }

    public String getQnfs()
    {
        return qnfs;
    }
    public void setLcNum(Long lcNum)
    {
        this.lcNum = lcNum;
    }

    public Long getLcNum()
    {
        return lcNum;
    }
    public void setUnitNum(Long unitNum)
    {
        this.unitNum = unitNum;
    }

    public Long getUnitNum()
    {
        return unitNum;
    }
    public void setHuNum(Long huNum)
    {
        this.huNum = huNum;
    }

    public Long getHuNum()
    {
        return huNum;
    }
    public void setLdDescribe(String ldDescribe)
    {
        this.ldDescribe = ldDescribe;
    }

    public String getLdDescribe()
    {
        return ldDescribe;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("xqId", getXqId())
                .append("xqName", getXqName())
                .append("ldName", getLdName())
                .append("ldType", getLdType())
                .append("ldSort", getLdSort())
                .append("ldjg", getLdjg())
                .append("qnfs", getQnfs())
                .append("lcNum", getLcNum())
                .append("unitNum", getUnitNum())
                .append("huNum", getHuNum())
                .append("ldDescribe", getLdDescribe())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
